//
//  AddingViewController.m
//  WishesList
//
//  Created by tsubomi zhang on 3/26/13.
//  Copyright (c) 2013 yunrui zhang. All rights reserved.
//

#import "AddingViewController.h"
#import "WishData.h"
#import "WishDataController.h"
#import "MasterViewController.h"

@interface AddingViewController ()

@end

@implementation AddingViewController


- (void)awakeFromNib
{
    [super awakeFromNib];
     self.dataController=[[WishDataController alloc]init];
}


- (BOOL)textFieldShouldReturn:(UITextField *)textField {
    if ((textField == self.contentInput) || (textField == self.notesInput)||(textField==self.contentTextField)) {
        [textField resignFirstResponder];
    }
    return YES;
}
/*
- (id)initWithStyle:(UITableViewStyle)style
{
    self = [super initWithStyle:style];
    if (self) {
        // Custom initialization
    }
    return self;
}*/

   


- (void)viewDidLoad
{
    [super viewDidLoad];

    // Uncomment the following line to preserve selection between presentations.
    // self.clearsSelectionOnViewWillAppear = NO;
 
    // Uncomment the following line to display an Edit button in the navigation bar for this view controller.
    // self.navigationItem.rightBarButtonItem = self.editButtonItem;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Table view data source
/*
- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
#warning Potentially incomplete method implementation.
    // Return the number of sections.
    return 0;
}*/

/*

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
#warning Incomplete method implementation.
    // Return the number of rows in the section.
    return 0;
}*/
/*

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *CellIdentifier = @"Cell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier forIndexPath:indexPath];
    
    // Configure the cell...
    
    return cell;
}


// Override to support conditional editing of the table view.
- (BOOL)tableView:(UITableView *)tableView canEditRowAtIndexPath:(NSIndexPath *)indexPath
//{
    // Return NO if you do not want the specified item to be editable.
  //  return YES;
//}


// Override to support editing the table view.
//- (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath
{
    if (editingStyle == UITableViewCellEditingStyleDelete) {
        // Delete the row from the data source
        [tableView deleteRowsAtIndexPaths:@[indexPath] withRowAnimation:UITableViewRowAnimationFade];
    }   
    else if (editingStyle == UITableViewCellEditingStyleInsert) {
        // Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view
  //  }
//}



// Override to support rearranging the table view.
//- (void)tableView:(UITableView *)tableView moveRowAtIndexPath:(NSIndexPath *)fromIndexPath toIndexPath:(NSIndexPath *)toIndexPath
//{
//}



// Override to support conditional rearranging of the table view.
//- (BOOL)tableView:(UITableView *)tableView canMoveRowAtIndexPath:(NSIndexPath *)indexPath
//{
    // Return NO if you do not want the item to be re-orderable.
  //  return YES;
//}


#pragma mark - Table view delegate

//- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{*/
    // Navigation logic may go here. Create and push another view controller.
    /*
     //<#DetailViewController#> *detailViewController = [[<#DetailViewController#> alloc] initWithNibName:@"<#Nib name#>" bundle:nil];
     // ...
     // Pass the selected object to the new view controller.
     [self.navigationController pushViewController:detailViewController animated:YES];
     */
//}

-(void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender{
    if([[segue identifier] isEqualToString:@"ReturnInput"]){
        if([self.contentInput.text length] || [self.notesInput.text length]){
            WishData *data;
            data=[[WishData alloc] initWithName:self.contentInput.text notes:self.notesInput.text comeTrue:@"还没有"];
            self.wishData=data;
            
        }
    }
    UINavigationController *nav =(UINavigationController*)[segue destinationViewController];
    
    MasterViewController *master= [nav topViewController];
    master.dataController=self.dataController;
    
}


- (IBAction)wishBtn:(id)sender {
    self.labelContent=self.contentTextField.text;
    NSString *contentString = self.labelContent;
    if([contentString length]==0){
        contentString=@"小丸子最爱爷爷了";
    }
    
    NSString *replyString =[[NSString alloc] initWithFormat:@"你的愿意%@会实现的！",contentString];
    self.wishData = [[WishData alloc] initWithName:contentString notes:@"还没有笔记" comeTrue:@"还没有"];
    self.wishLabel.text=replyString;
    
    
    
       
   if (self.wishData){
        
        
       
     
         [self.dataController.masterWishDataList addObject:self.wishData];
         NSString *strFromInt = [[NSString alloc] initWithFormat:@"%d",[self.dataController.masterWishDataList count]];
         NSLog(strFromInt);
        
    }
}

- (IBAction)historyBtn:(UIStoryboardSegue*)segue{
    
    
    
    [[[segue destinationViewController] tableView] reloadData];
}



@end
