//
//  DetailViewController.m
//  WishesList
//
//  Created by tsubomi zhang on 3/26/13.
//  Copyright (c) 2013 yunrui zhang. All rights reserved.
//

#import "DetailViewController.h"
#import "WishData.h"
#import "MasterViewController.h"
#import "WishDataController.h"

@interface DetailViewController ()
- (void)configureView;
@end

@implementation DetailViewController

#pragma mark - Managing the detail item

/*- (void)setDetailItem:(id)newDetailItem
{
    if (_detailItem != newDetailItem) {
        _detailItem = newDetailItem;
        
        // Update the view.
        [self configureView];
    }
}
*/

-(void) setData:(WishData *)data
{
    
    if (_data!=data){
        
        _data=data;
        //Update the view.
        [self configureView];
    }
    
}
- (void)configureView
{
    // Update the user interface for the detail item.
    
    WishData *data = self.data;
    static NSDateFormatter *formatter = nil;
    if(formatter==nil){
        formatter=[[NSDateFormatter alloc]init];
        [formatter setDateStyle:NSDateFormatterMediumStyle];
    }
    if(data){
        
        self.wishContentLabel.text=data.content;
        self.wishNotesLabel.text=data.notes;
        self.wishComeTrueLabel.text=data.comeTrue;
        
    }

   /* if (self.detailItem) {
        self.detailDescriptionLabel.text = [self.detailItem description];
    }*/
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    [self configureView];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


-(void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender{
  

    
    UINavigationController *nav=(UINavigationController*)[segue destinationViewController];
    MasterViewController *master= [nav topViewController];
    master.dataController=self.dataController;
    NSString *str = [[NSString alloc]initWithFormat:@"in detail view segue : %d",[self.dataController.masterWishDataList count]];
    NSLog(str);

}

@end
