//
//  WishDataController.m
//  WishComeTrue
//
//  Created by tsubomi zhang on 3/26/13.
//  Copyright (c) 2013 yunrui zhang. All rights reserved.
//

#import "WishDataController.h"
#import "WishData.h"
@interface WishDataController()
-(void) initializeDefaultDataList;
@end

@implementation WishDataController


-(void) initializeDefaultDataList{
    
    //initlize master list
    NSMutableArray *WishDataList = [[NSMutableArray alloc] init];
    self.masterWishDataList=WishDataList;
    
    WishData *data;
    data=[[WishData alloc] initWithName:@"default name" notes:@"default notes" comeTrue:@"not yet"];
    [self addWishDataWithData:data];
    
}

-(void) setMasterWishDataList:(NSMutableArray *)masterWishDataList{
    
    if(_masterWishDataList!=masterWishDataList){
        _masterWishDataList=[masterWishDataList mutableCopy];
    }
    
    
}

-(id)init{
    if (self=[super init]){
        [self initializeDefaultDataList];
        return self;
    }
    return nil;
}

-(NSUInteger) countOfMasterWishDataList{
    
    return [self.masterWishDataList count];
}
-(WishData *) objectInMasterWishDataListAtIndex:(NSUInteger)index{
    
    return [self.masterWishDataList objectAtIndex:index];
}

-(void) addWishDataWithData:(WishData *)data{
    
    [self.masterWishDataList addObject:data];
    ////NSString *count = [[NSString alloc] initWithFormat:@"count is %d",///[self.masterWishDataList count]];
    
}

@end
